#if !defined(AFX_MODIFYVIEW_H__BB3BEA80_CCFB_11D3_AD34_0000F81AA1BA__INCLUDED_)
#define AFX_MODIFYVIEW_H__BB3BEA80_CCFB_11D3_AD34_0000F81AA1BA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ModifyView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CModifyView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CModifyView : public CFormView
{
protected:
	CModifyView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CModifyView)

// Form Data
public:
	//{{AFX_DATA(CModifyView)
	enum { IDD = IDD_MODIFY_PARAM };
	CSliderCtrl	m_ctrlOverride;
	CSliderCtrl	m_ctrlTransStart;
	CSliderCtrl	m_ctrlStartNew;
	CSliderCtrl	m_ctrlPlayTill;
	CSliderCtrl	m_ctrlStart;
	//}}AFX_DATA

// Attributes
public:
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CModifyView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CModifyView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CModifyView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnCustomdrawSliderStart(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderStart(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderTransstart(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderStartnew(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderPlayoldtill(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCustomdrawSliderPlayoldtill(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCustomdrawSliderStartnew(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCustomdrawSliderTransstart(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCustomdrawSliderOverride(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderOverride(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MODIFYVIEW_H__BB3BEA80_CCFB_11D3_AD34_0000F81AA1BA__INCLUDED_)
